GrailsContextLoaderListener (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.context

## [Java] Class GrailsContextLoaderListener

- org.codehaus.groovy.grails.web.context.GrailsContextLoaderListener

- Extends the Spring default ContextLoader to load GrailsApplicationContext.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `LOG` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.context.ContextLoaderListener` | `CONTEXT_ID_PARAM, CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, GLOBAL_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM, LOCATOR_FACTORY_KEY_PARAM`
    `class org.springframework.web.context.ContextLoader` | `CONTEXT_ID_PARAM, CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, GLOBAL_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM, LOCATOR_FACTORY_KEY_PARAM`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `closeWebApplicationContext(javax.servlet.ServletContext servletContext)`
    `org.springframework.web.context.WebApplicationContext` | `initWebApplicationContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.context.ContextLoaderListener` | `org.springframework.web.context.ContextLoaderListener#contextInitialized(javax.servlet.ServletContextEvent), org.springframework.web.context.ContextLoaderListener#contextDestroyed(javax.servlet.ServletContextEvent), org.springframework.web.context.ContextLoaderListener#getCurrentWebApplicationContext(), org.springframework.web.context.ContextLoaderListener#initWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoaderListener#closeWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoaderListener#wait(long, int), org.springframework.web.context.ContextLoaderListener#wait(long), org.springframework.web.context.ContextLoaderListener#wait(), org.springframework.web.context.ContextLoaderListener#equals(java.lang.Object), org.springframework.web.context.ContextLoaderListener#toString(), org.springframework.web.context.ContextLoaderListener#hashCode(), org.springframework.web.context.ContextLoaderListener#getClass(), org.springframework.web.context.ContextLoaderListener#notify(), org.springframework.web.context.ContextLoaderListener#notifyAll()`
    `class org.springframework.web.context.ContextLoader` | `org.springframework.web.context.ContextLoader#getCurrentWebApplicationContext(), org.springframework.web.context.ContextLoader#initWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#closeWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#wait(long, int), org.springframework.web.context.ContextLoader#wait(long), org.springframework.web.context.ContextLoader#wait(), org.springframework.web.context.ContextLoader#equals(java.lang.Object), org.springframework.web.context.ContextLoader#toString(), org.springframework.web.context.ContextLoader#hashCode(), org.springframework.web.context.ContextLoader#getClass(), org.springframework.web.context.ContextLoader#notify(), org.springframework.web.context.ContextLoader#notifyAll()`

- - ### Field Detail

    - #### public static final org.apache.commons.logging.Log LOG

  - ### Method Detail

    - #### @java.lang.Override public void closeWebApplicationContext(javax.servlet.ServletContext servletContext)

    - #### @java.lang.Override public org.springframework.web.context.WebApplicationContext initWebApplicationContext(javax.servlet.ServletContext servletContext)